Subject: [PATCH 0/2] function_graph: ftrace_graph_ret_addr(); there can be only one!

From: Steven Rostedt <[email-masked]>
Date: Mon, 10 Jun 2024 23:09:34 -0400

I noticed a slight bug in ftrace_graph_ret_addr() for when
HAVE_FUNCTION_GRAPH_RET_ADDR_PTR was defined and fixed it up.
I then noticed it was buggy when not defined. Looking for an
architecture that did not have it defined, I couldn't find any.
So I removed it.

Steven Rostedt (Google) (2):
      function_graph: Fix up ftrace_graph_ret_addr()
      function_graph: Everyone uses HAVE_FUNCTION_GRAPH_RET_ADDR_PTR, remove it

----
 Documentation/trace/ftrace-design.rst | 12 -------
 arch/arm64/include/asm/ftrace.h       | 11 -------
 arch/csky/include/asm/ftrace.h        |  2 --
 arch/loongarch/include/asm/ftrace.h   |  1 -
 arch/powerpc/include/asm/ftrace.h     |  2 --
 arch/riscv/include/asm/ftrace.h       |  1 -
 arch/s390/include/asm/ftrace.h        |  1 -
 arch/x86/include/asm/ftrace.h         |  2 --
 include/linux/ftrace.h                |  2 --
 kernel/trace/fgraph.c                 | 61 ++++++++++++-----------------------
 10 files changed, 20 insertions(+), 75 deletions(-)